Ubuntu

Activity log for bug #229732

Date Who What changed Old value New value Message
2008-05-12 21:09:58 Phillip Susi bug added bug
2008-09-09 21:53:15 Peter Cordes initramfs-tools: status New Confirmed
2008-09-09 21:53:15 Peter Cordes initramfs-tools: statusexplanation This is only a problem with break=premount or earlier. break=mount happens after hal/udev have loaded drivers for everything. Note that some servers don't _support_ ps/2 keyboards anymore. e.g. I have a rack of Dell PE1950 machines with a KVM-over-IP that connects to 1 USB port and their VGA out. I don't think the PE1950 even has a PS/2 port anywhere. The best fix for this is probably in scripts/functions:panic(). It already does modprobe i8042 modprobe atkbd before dropping to a shell. So just add maybe modprobe ehci-hcd modprobe hid to that. I think that's right. I'll see if I can boot a machine with a ps/2 and usb kbd attached, and load modules until the USB kbd starts working at break=premount. Hmm, I don't know how to detect the right USB controller module. ehci-hcd is for usb2.0 machines, and older hardware only has uhci-hcd or ohci-hcd. There might be laptops with no ps/2 ports, broken internal keyboards, and only USB1.1 support. Other than that, this fix would be enough for most people, since USB keyboards are most often used on newer computers. At least USB1.1 computers will have PS/2 ports...
2008-09-10 02:52:17 Peter Cordes initramfs-tools: status Confirmed In Progress
2008-09-10 02:52:17 Peter Cordes initramfs-tools: statusexplanation This is only a problem with break=premount or earlier. break=mount happens after hal/udev have loaded drivers for everything. Note that some servers don't _support_ ps/2 keyboards anymore. e.g. I have a rack of Dell PE1950 machines with a KVM-over-IP that connects to 1 USB port and their VGA out. I don't think the PE1950 even has a PS/2 port anywhere. The best fix for this is probably in scripts/functions:panic(). It already does modprobe i8042 modprobe atkbd before dropping to a shell. So just add maybe modprobe ehci-hcd modprobe hid to that. I think that's right. I'll see if I can boot a machine with a ps/2 and usb kbd attached, and load modules until the USB kbd starts working at break=premount. Hmm, I don't know how to detect the right USB controller module. ehci-hcd is for usb2.0 machines, and older hardware only has uhci-hcd or ohci-hcd. There might be laptops with no ps/2 ports, broken internal keyboards, and only USB1.1 support. Other than that, this fix would be enough for most people, since USB keyboards are most often used on newer computers. At least USB1.1 computers will have PS/2 ports...
2010-01-26 12:25:29 Sergey Svishchev bug task added server-papercuts
2010-02-11 08:56:57 Thierry Carrez server-papercuts: status New Invalid
2010-04-06 18:01:23 Phillip Susi initramfs-tools (Ubuntu): importance Undecided Low
2010-04-06 18:01:23 Phillip Susi initramfs-tools (Ubuntu): status In Progress Triaged
2013-10-22 11:12:47 jk bug added subscriber jk
2013-10-22 12:54:06 Jacob Nielsen bug added subscriber Jacob Nielsen
2013-10-22 17:53:57 Matthias Baur bug added subscriber Matthias Baur
2013-10-22 22:20:05 Joseph Salisbury tags patch kernel-da-key patch
2013-10-22 22:21:33 Joseph Salisbury tags kernel-da-key patch kernel-da-key patch saucy
2013-10-24 21:22:32 Launchpad Janitor initramfs-tools (Ubuntu): status Triaged Fix Released